<?php
class sortAction extends Action
{
    function execute(&$controller, &$request)
    {
        $session =& $request->session();
        $session['col'] =  $_REQUEST['col'];
        $session['asc'] =  $_REQUEST['asc'];
        $controller->view('catalogs');
    }
}

?>